Results 1 to 9 of 9

Thread: Apache 2.4.26

  1. #1
    Join Date
    Dec 2015
    Location
    The Netherlands
    Posts
    9

    Default Apache 2.4.26

    Hello,

    I ran openSUSE Leap 42.2 with Apache 2.4.23-8.9.1.
    I upgraded to openSUSE Leap 42.3. With this upgrade, I hoped Apache would upgrade to Apache 2.4.26.
    Unfortunately it isn't the case. Also after upgrading openSUSE, there are no patches available for Apache.

    How to upgrade to Apache 2.4.26?

    Kind regards,
    Philip

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,187

    Default Re: Apache 2.4.26

    Is there a specific reason you want 2.4.26? (or rather 2.4.27 since it fixes a CVE)

    It's available for 42.3 from this repository:
    Code:
    http://download.opensuse.org/repositories/Apache/openSUSE_Leap_42.3/Apache.repo
    .: miuku @ #opensuse @ irc.libera.chat

  3. #3
    Join Date
    Dec 2015
    Location
    The Netherlands
    Posts
    9

    Default Re: Apache 2.4.26

    A Nessus scan showed a vulnerability.
    So therefore I want to upgrade.
    Thank you for the reply.

  4. #4
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,187

    Default Re: Apache 2.4.26

    Quote Originally Posted by onstwedder View Post
    A Nessus scan showed a vulnerability.
    So therefore I want to upgrade.
    Thank you for the reply.
    Nessus is incorrect in this regard because SUSE backports fixes to the older versions - Nessus does not understand this as it only blindly scans the version number and ignores everything else.
    .: miuku @ #opensuse @ irc.libera.chat

  5. #5
    Join Date
    Dec 2015
    Location
    The Netherlands
    Posts
    9

    Default Re: Apache 2.4.26

    That's very interesting.
    Thank you for the update.

  6. #6
    Join Date
    Dec 2015
    Location
    The Netherlands
    Posts
    9

    Default Re: Apache 2.4.26

    Sorry for asking, but when I add:
    http://download.opensuse.org/reposit....3/Apache.repo
    as a repository, I get the message:
    Unable to create repository

    Can you tell me what went wrong?

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Apache 2.4.26

    Hi
    You don't need the Apache.repo part....
    Code:
    zypper ar -f -g -n "openSUSE-Leap-42.3-Apache" http://download.opensuse.org/repositories/Apache/openSUSE_Leap_42.3/ repo-Apache
    zypper ref
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8
    Join Date
    Dec 2015
    Location
    The Netherlands
    Posts
    9

    Default Re: Apache 2.4.26

    Managed to update Apache.
    I didn't know that you can choose a version in the Yast patches window.
    Under tab "Versions" for apache2 I choose "2.4.27-125.1-x86_64 from openSUSE-Leap-42.3-Apache with priority 99 and vendor..........".

    Af some "Conflict Resolution" messages, I finally have an updated webserver.

    Thank you all.

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Apache 2.4.26

    Quote Originally Posted by onstwedder View Post
    Managed to update Apache.
    I didn't know that you can choose a version in the Yast patches window.
    Under tab "Versions" for apache2 I choose "2.4.27-125.1-x86_64 from openSUSE-Leap-42.3-Apache with priority 99 and vendor..........".

    Af some "Conflict Resolution" messages, I finally have an updated webserver.

    Thank you all.
    In your case, as per example you should have done a
    Code:
    zypper dup --from repo-Apache
    also known as vendor-switch.

    And, since you've registered as dutch
    https://forums.opensuse.org/showthre...32#post2833332
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •